Ubuntu

Light-themes: gnome-panel background does not scale beyond 24 pixels

Reported by John Doe on 2010-03-04
370
This bug affects 67 people
Affects Status Importance Assigned to Milestone
GNOME Panel
New
Medium
light-themes
Fix Released
High
Paul Sladen
light-themes (Ubuntu)
Medium
Canonical Desktop Experience Team
Declined for Lucid by Paul Sladen
Declined for Maverick by Paul Sladen
Oneiric
Medium
Canonical Desktop Experience Team

Bug Description

Binary package hint: light-themes

When using a panel-size larger than 24 Pixels, the panel-background is not scaling. I've noticed this a while ago when creating themes on my own, and it looks really bad.

Have a look here:

http://ubuntu-pics.de/bild/45297/bildschirmfoto_YlXF4q.jpg

ProblemType: Bug
Architecture: i386
Date: Fri Mar 5 00:45:00 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
Package: light-themes 0.1.5.1
PackageArchitecture: all
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-15.22-generic
SourcePackage: light-themes
Uname: Linux 2.6.32-15-generic i686

Changed in light-themes (Ubuntu):
status: New → Confirmed
Matthew Gregg (mcg) wrote :

Not sure if this is the same bug, or another, but backgrounds on vertical panels are not correct.

LOL guys. Every time you want to use background image for the top panel you being forced to the solid color. Didn't there previouse attempts teach you?

@Joe: This is not useful.

But maybe there's a solution: I noticed is scaled, if the background is added manually (right-click on the panel>properties). This means there is a scaling-function. I guess that the Theme-engine will have to learn some tricks. ;)

Ok, try this:

comment out

bg_pixmap[NORMAL] = "panel_bg.png"

in gtk.rc and then, set the background manually as mentioned above. Works like a charm. Maybe this information is useful in solving that bug.

It doesn't work for me:

You have to reload the theme completly after saving the changes. I've
tested this with the Radiance-Variant and it works for me.

2010/3/5, Joe_Bishop <email address hidden>:
> It doesn't work for me:
>
> ** Attachment added: "screenshot1.png"
> http://launchpadlibrarian.net/40233517/screenshot1.png
>
> --
> Light-themes: panel-background isn't scaling
> https://bugs.launchpad.net/bugs/532309
> You received this bug notification because you are a direct subscriber
> of the bug.
>

You have to reload the theme completly after saving the changes. I've
tested this with the Radiance-Variant and it works for me.

Nothing has changed. BTW, it sounds too strange about background scaling.

Gavin Chan (bitrevo) wrote :

Resize the image panel_bg.png works for me.

jgv (visserjg) wrote :

After editing gtkrc and full restart, according to the solution of Thorsten Reinbold, both radiance and ambiance themes work fine with this solution. Panel background is controllable from transparant to opaque. Scaling upto size 216 pixels panel height is smooth. Further the visibility increases especially with maximized windows (transition between panel and title bar.

However, solution not convenient for normal user.

Kenneth Wimer (kwwii) wrote :

I think adding a gconf key to scale the bg is the right solution. I will add this to the ubuntu-artwork packages gconf settings

But one problem stays: what about panels placed on the left or right border? Even with my workaround the look broken bacause scaling obviously only works >216 Pixels. I don't know for shure, but are there possibilitys to set a background image for vertical panels separately?

xrayA4T (xraya4t) wrote :

Is it possible to use a gradient rather than a bitmap as the panel background to achieve an effect that scales? Buttons with gradients scale fine as to the highlight backgrounds in menus.

If GTK only supports tiled backgrounds could it be extended to support scaling in one direction?

If all else fails is it possible to make the bitmap say 100 px high so that it does not tile in vertical?

I tink the only possible "real" solution is to take out the background Image and file this bug against murrine or gtk2 itself. It seems that there is no good funktionality for panel backgrounds and maybe this is a chance to improve this. I was working on some dark themes a time ago and I always ran into this bug too. Is this maybe a "one hundred papercut"?

xl_cheese (xl-cheese) wrote :

I agree with Thorsten. Panel themeing has been a complaint for years.

If you use the panel properties to add a background image or turn on transparency you lose the panel buttons.

Adding the background using the pixmap image is not a robust solution.

Kenneth Wimer (kwwii) on 2010-03-11
Changed in light-themes (Ubuntu):
status: Confirmed → Fix Committed

Sorry for the question: how was this fixed? What was the solution? I cannot find anything.

Gavin Chan (bitrevo) wrote :

I notice that there is a file panel_bg_30.png in /usr/share/themes/Ambiance/.
what is the use of this file?

I change the line
bg_pixmap[NORMAL] = "panel_bg.png"
from panel_bg.png to panel_bg_30.png in /usr/share/themes/Ambiance/gtk-2.0/gtkrc and it works in my case.

Change the file gtkrc manually is not user friendly. Is there are any smart way to auto apply the suitable background image for different panel height?

Make your panel 32 Pixels hight and you'll notice that this isn't a better Idea. Also Kenneth Wimer wrote that a fix is commited, whe should wait how it looks.

Vish (vish) on 2010-03-17
Changed in light-themes (Ubuntu):
importance: Undecided → Low
SilverWave (silverwave) wrote :

attachment as requested - looks like it is a duplicate.

SilverWave (silverwave) wrote :

Confirmed workaround:
sudo gedit /usr/share/themes/Ambiance/gtk-2.0/gtkrc
#bg_pixmap[NORMAL] = "panel_bg.png"

sudo gedit /usr/share/themes/Radiance/gtk-2.0/gtkrc
#bg_pixmap[NORMAL] = "panel_bg.png"

Log out then Log in again.

Nothing else is needed.

Thanks guys.

There is a much better way: open gconf-editor, move to apps>panel>toplevels. There you will find the entrys "fit, rotate,stretch". This is a better way bacause it works even if you put your panels on the left or right side.

Saivann Carignan (oxmosys) wrote :

Thorsten Reinbold : To answer your last question, it has been fixed in latest ubuntu-artwork branch by Kenneth Wimer, which is not yet released in lucid (Fix commited, not released yet). Just wait a few days and the branch will be pushed in ubuntu repositories and the status will switch to fix released.

Gavin Chan (bitrevo) wrote :

SilverWave,
Comment out the bg_pixmap line cause gnome-panel to use solid color, and it is different from panel_bg.png. Another way to just use solid color is change the Background from "None" to "Solid color" in Panel Properties.

-----Oorspronkelijke bericht-----
Van: teabox <email address hidden>
Reply-to: Bug 532309 <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 532309] Re: Light-themes: panel-background isn't scaling
Datum: Tue, 06 Apr 2010 03:05:02 -0000

SilverWave,
Comment out the bg_pixmap line cause gnome-panel to use solid color, and it is different from panel_bg.png.
 Another way to just use solid color is change the Background from "None" to "Solid color" in Panel Properties.

This is not working for the background color behind items (i.e.
Applications, Places, System) in the panel.
The idea is that non-technical users too could scale up the panels.

I'm still experiencing this issue. Any clues when the branch by Kenneth Wimer will be released?

The issue isn´t fixed in Beta2 :-(

SilverWave (silverwave) wrote :

I can confirm that this is still not fixed in Beta2.

James Schriver (dashua) wrote :

I have most of the new artwork packaged in my ppa if you want to test for the fix.

sudo add-apt-repository ppa:dashua/ppa

jgv (visserjg) wrote :

Downloaded the mentioned ppa, installed the artwork, but no change in panel scaling behaviour visible

On Sat, 2010-04-10 at 15:25 +0000, jgv wrote:
> Downloaded the mentioned ppa, installed the artwork, but no change in
> panel scaling behaviour visible
>

Try again in a few minutes.

The gconf-defaults should both be set "stretch" to TRUE for top and bottom panels.

/apps/panel/default_setup/toplevels/bottom_panel/background/stretch true
/apps/panel/default_setup/toplevels/top_panel/background/stretch true

The artwork-package already landed in Lucid, so there will not be much difference from mine.

Today: fresh install 10.04Beta2. All updates until today involved.

Gconf comes default with:

/apps/panel/default_setup/toplevels/bottom_panel/background/stretch true
/apps/panel/default_setup/toplevels/top_panel/background/stretch true
 see screenshot.

No results for panel-background scaling

-----Oorspronkelijke bericht-----
Van: James Schriver <email address hidden>
Reply-to: Bug 532309 <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 532309] Re: Light-themes: panel-background isn't scaling
Datum: Sat, 10 Apr 2010 16:02:24 -0000

The gconf-defaults should both be set "stretch" to TRUE for top and
bottom panels.

/apps/panel/default_setup/toplevels/bottom_panel/background/stretch true
/apps/panel/default_setup/toplevels/top_panel/background/stretch true

The artwork-package already landed in Lucid, so there will not be much
difference from mine.

Setting back to confirmed, until we hear back from Kenneth.

Changed in light-themes (Ubuntu):
status: Fix Committed → Confirmed

Still isn´t fixed in RC

Otus (jan-varho) wrote :

Since this is now the bug for scaling with horizontal panels, I'll repeat what I wrote in another bug report:

Changing the default application font size from 10 up to something like 16 causes panels to expand, making this bug apparent. That is a very common scenario and may be an accessibility issue.

Still an issue with RC + all updates which is probably 10.04 final right about now.

This is still an issue in 10.04 final.

yes, i can confirm the issue still isn´t fixed in final, but workaround in /usr/share/themes/Ambiance/gtk-2.0/gtkrc or /usr/share/themes/Radiance/gtk-2.0/gtkrc works for me.
try to change the line:

bg_pixmap[NORMAL] = "panel_bg.png"
to
bg_pixmap[NORMAL] = "panel_bg_40.png"

and logout

m4cph1sto (dlreid) wrote :

Note: Rastislav's solution (comment #40) simply changes the panel background to a solid color (i.e. an image with no gradient), which doesn't quite match the new theme. It does not solve the scaling problem.

This bug is in 10.04 final, and now I have a bunch of systems with menu bars that look really weird. Don't know how this one slipped by, since the bug was identified 2 months ago, but oh well.

m4cph1sto (dlreid) wrote :

Sorry, also the solution suggested by James (comment #33) does not work for me, the "stretch" values are already set as default, yet the problem exists.

Kenneth Wimer (kwwii) on 2010-05-03
tags: added: rhubarb
SilverWave (silverwave) wrote :

Work around in #22 is still valid on 10.04 final.

Work-around in #22 is not really addressing the main problem here.

Why most people want to adjust the panel height is not because they want a bigger panel - they want larger "quick launch"-icons. Icons in the panel are by default very small with 24px height and when you scale the panel up a bit you get the much better-looking larger icons.

Might seem like a minor problem, but this has serious disadvantages by making the UI crappier for many people. This was easy to fix in all the previous Ubuntu versions without any hacks. 10.04 broke it.

Here is a confirmed, less time-consuming GUI work-around to work-around #22 for installing Ubuntu for non-technical users:
------------------------------------------------------------------------
 - Keep panel height 24px
 - Right-click Firefox-icon and uncheck "Lock to panel"
 - Drag Firefox-icon to the exact centre of desktop
 - Rename "Firefox Web Browser" to "Internet"
------------------------------------------------------------------------
And no, this is not a troll, it origins from a real life 15-year old Windows 95 user experience enhancement-trick :)

From my point of view no workarounds are needed here, but a fix would be really nice.
I would recommend raising the importance on this from "low" to "high".

Ok, because there are obviously some misunderstandings, the workaround step by step:

1. Comment out the line

bg_pixmap[NORMAL] = "panel_bg.png"

in gtkrc of ambiance/radiance Theme.

2. Set "fit", "stretch" and "rotate" in /apps/panel/toplevels under background to true via gconf-editor.

3. Set the panel_bg.png from the theme manually in the panel-properties.

The gconf settings are only working when commenting the entry in the gtkrc file out and set the bg yourself.

m4cph1sto (dlreid) wrote :

I had the gnome panel set to 36px in Karmic (because I use DockbarX rather than the default Window List which sucks for netbooks), and saw the problem immediately upon upgrading to Lucid. For my personal workaround, I opened panel_bg.png in GIMP (which coincidentally is no longer included in Ubuntu Lucid by default), scaled the image to 1px by 36px, then saved it. Log out and back in. Problem solved. If I ever want to change the panel width, I'll just scale panel_bg.png to the appropriate size again. Of course nobody would expect the average user to do this.

SilverWave (silverwave) wrote :

Re: #45
2. gconf-editor a little difficult to navigate... so I dug this out.

gconftool-2 --type bool --set /apps/panel/toplevels/top_panel_screen0/background/fit true
gconftool-2 --type bool --set /apps/panel/toplevels/top_panel_screen0/background/rotate true
gconftool-2 --type bool --set /apps/panel/toplevels/top_panel_screen0/background/stretch true

Can someone add this to Maveric Development, please? It would be fine if this could be fixed there.

There's a useful post on webupd8 with another workaround, that works with almost any theme:

http://www.webupd8.org/2010/05/script-to-fix-panel-for-all-themes-at.html

This is almost the same I've posted a while ago above. ;)

Still is not fixed in the first Alpha of Ubuntu 10.10 Maverick Meerkat.

Zev Goldstein (psywolf) wrote :

I'd like to add that I found a related consequence of this bug. On changing the gnome panel color or giving the gnome panel a background image, certain panel applets refuse to change until you comment out the line

bg_pixmap[NORMAL] = "panel_bg.png"

in gtk.rc

I've attached a screenshot so that you can see what I mean

There is already a fix for this...

http://www.webupd8.org/2010/05/fix-transparent-vertical-and-large.html
http://www.webupd8.org/2010/05/script-to-fix-panel-for-all-themes-at.html

Thanks for taking the time to look at this papercut, and I hope that it
can be taken care of for the next release of Ubuntu. :)

This is a fix indeed. Look at Comment 5. But it has not been used for a real fix 'til now.

Can someone please nomiate this for Maverick?

Paul Kishimoto (khaeru) wrote :

@Thorsten: nominating for lucid didn't seem to help, but done.

Hmm ... it works, but I'm not sure I'd call it a fix. What this patch seems to do is remove the vertical gradient completely. That's great for people like me who prefer to have their top and bottom panels at 36 pixels, but not so great for everyone using the defaults who would have a perfectly decent gradient removed.

Or have I misunderstood this?

;-) Yes, you have. What you have to do is to add the panelbg manually to get it streched. But this only works when the entry is commented out in the gtkrc.

To clarify: the Bug seem to be that the Gnome-Panel does not have the ability to stretch the image when the image is set in the theme file. Maybe this Bug is in the wrong place here and should be filed upstream against the gnome-panel?

m4cph1sto (dlreid) wrote :

The solution in Comment #53 did not work for me. I ran the script and my panel background image was replaced with a solid color. Manually selecting the background image did not stretch the image to the panel size. So I still had to resort to my solution in #46, which is to use Gimp to stretch the dimensions of the default background image to the width I select for my panel.

@m4cph1sto:

Could you please check the following tutorial?

1: (Alt+F2) gksu gedit /usr/share/themes/Ambiance/gtk-2.0/gtkrc
2: Comment out (or delete) this line:

bg_pixmap[NORMAL] = "panel_bg.png"

3: Restart "gnome-panel" or, if you don't know how, log out and in again.

4: Drag'n'drop the file "/usr/share/themes/Ambiance/gtk-2.0/panel_bg_30.png" to the Panel or choose it via Panel-properties.

Please follow this exactly! This must work.

I can confirm, workaround in #60 really works great :-)

hsm flxCore (hannes-smit) wrote :

The solutions proposed in this bug ticket are not solving the issue: panels with a height above 30 pixels are still shown with a repeating background. Contrary to the way icons are resized automatically, the background doesn't scale.

hsm flxCore (hannes-smit) wrote :

or.. #60 doesn't work for me: the image is not scaled at least..

I can't believe they haven't already fixed this bug, being the default theme.

This is unbelievable. Still isn´t fixed in Beta Maverick :-(

vanchuck (vanchuck) wrote :

The problem with pseudo-fixes like #60 is that they only apply to specific themes.

If you are to use another theme, you have to find and fix the relevant line in the theme configs, which be in a different file entirely (such as panel.cfg in the theme directory), and the filenames can be completely different.

This should definitely be filed against a project other than light-themes as it applies to the theming engine, not just these one or two themes.

Full ACK!

I think we should push this in another direction, the one we are going here leads to nowhere.

Can someone file this against gnome-panel?

Changed in gnome-panel:
importance: Unknown → Medium
status: Unknown → New

Many thanks!

To clearify: I think the problem is that gnome-panel is not stretching a background to the height of the background-image. But, as we can see with the workaround at #60 (?), it COULD do this.

I think we should wait for some comments from gnome-developers. Anything else is useless for now.

Btw, the workaround no longer works for the new Ambiance and Radiance themes from Ubuntu 10.10 Maverick Meerkat. At webupd8 is a new way of fixing Ambiance and Radiance

http://www.webupd8.org/2010/09/fix-gnome-panel-for-ubuntu-1010.html

Paul Sladen (sladen) on 2010-11-25
summary: - Light-themes: panel-background isn't scaling
+ Light-themes: gnome-panel background does not scale beyond 24 pixels

Still the same on Natty. It really does not look very professional. Why the background isn't deactivated til a working solution is found? That would be way more professional than having that ugly and broken graphics.

Andrea Cimitan (cimi) wrote :

It can't be fixed

Rocko (rockorequin) wrote :

It certainly can be fixed, either by altering the renderer code to scale the image, or as a workaround by using a larger image for bg_pixmap. I've changed mine to 32 pixels high and it works great.

Take a look at the great Orta-Theme for Gnome. There it works. WIth a panel background. I'll withdraw from this for now, because it obviously leads to nothing. Seems as if there is no interest to fix this. There is more than one working suggestion here. It's really a bit ridiculous.

Andrea Cimitan (cimi) wrote :

can't be fixed in light-themes, unfortunately afaics there's no way to draw a gradient and keeping is scalable for gnome-panel

Changed in light-themes (Ubuntu):
status: Confirmed → Invalid
m4cph1sto (dlreid) on 2011-03-21
Changed in light-themes (Ubuntu):
status: Invalid → Confirmed
m4cph1sto (dlreid) wrote :

With regards to comment #74: if light-themes is trying to do something (or allowing a common user to do something) that is incompatible with gnome-panel, e.g. scale a panel with a gradient background, then that is indeed a bug in light-themes. If gnome-panel cannot currently scale a background image beyond 24px, then light-themes should not use a gradient background. The theme should be changed until the problem is fixed in gnome-panel.

Would it be more accurate to say "wont fix" or is that being harsh?
I fixed/worked around this on mine box by using a larger image... so
one "fix" would be to include a range of images of different sizes...
no?

Saying which this was so long ago now I would have to check...

On Mon, Mar 21, 2011 at 5:26 PM, m4cph1sto <email address hidden> wrote:
> With regards to comment #74: if light-themes is trying to do something
> (or allowing a common user to do something) that is incompatible with
> gnome-panel, e.g. scale a panel with a gradient background, then that is
> indeed a bug in light-themes.  If gnome-panel cannot currently scale a
> background image beyond 24px, then light-themes should not use a
> gradient background. The theme should be changed until the problem is
> fixed in gnome-panel.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (542877).
> https://bugs.launchpad.net/bugs/532309
>
> Title:
>  Light-themes: gnome-panel background does not scale beyond 24 pixels
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-panel/+bug/532309/+subscribe
>

Paul Sladen (sladen) wrote :

Anything can be fixed. It is just a question of where the fix needs to be made and what the solution is.

Treinbold: thank you for your suggestion of looking at Orta-Theme and how it does it. I'll have a look, but if you have already identified the magic it would speed things up. For other people wanting to have a look aswell, there appear to be PPAs for Orta:

  http://www.webupd8.org/2010/12/orta-theme-gets-ubuntu-ppa.html

Changed in light-themes (Ubuntu):
status: Confirmed → Triaged
importance: Low → Medium
Changed in light-themes:
status: New → Incomplete
importance: Undecided → High
Changed in light-themes (Ubuntu):
milestone: none → ubuntu-11.04
Paul Sladen (sladen) wrote :

Treinbold: I've tried Orta with GNOME Panel 2/Metacity. It appears that what is does is to have a gradient. The gradient is /not/ scaled but is simply laid on top of a background that matches the colour of the lowest row of pixels in the gradient.

In the case of 'Ambiance/gtk-2.0/apps/img/panel.png' the bottom row of pixels are #32322d, but in the 'Radiance/gtk-3.0/apps/gnome-panel.rc' configuration file is:

  style "panel"
  {
          ...
          bg_pixmap[NORMAL] = "img/panel.png"
  # bg[NORMAL] = "#4b4a46"
  }

where as in Orta the code is:

  style "panel"
  {
        xthickness = 1
        ythickness = 0

        bg_pixmap[NORMAL] = "/Panel/panel.png"

        engine "pixmap"
        {
                image
                {
                        function = FOCUS
                        recolorable = TRUE
                        file = "Fixes/none.png"
                        border = { 0, 0, 0, 0}
                        stretch = TRUE
                }
        }
  }

In which case, hopefully:

  stretch = TRUE

would be enough to do it.

Changed in light-themes:
assignee: nobody → Paul Sladen (sladen)

Ok, got it. It's NOT perfect, but it works.

Do the following:

Copy "none.png" and "panel-dark.png" to "/usr/share/themes/Ambiance/gtk-2.0/apps/img". Replace "gnome-panel.rc" in "/usr/share/themes/Ambiance/gtk-2.0/apps" with the attached replacement.

All needed files are in the attached .tar.gz. This needs some more fine tuning, but the direction is really well.

STOP! I've attached the wrong gnome-panel.rc. This one is right. Sorry.

It would be good if someone could test if it works. Please keep in mind that some minor changes in other parts of the theme will be needed (inactive text-color, throbbers in panel), but I guess this should be easy.

Also this would fix the broken looking menues for indicator-applets. It would be very good to take the chance for fixing this finally. I have the feeling that we are close. :)

Ok, this one looks good.

Use the files I've attached in the posting above, except the gnome-panel.rc. Use the one I've attached here instead. The file "none.png" is not needed anymore.

Some comments would be great.

Paul Sladen (sladen) wrote :

Thorsten: if I import that 'gnome-panel.rc' and run 'bzr diff' I get:
  === modified file 'Ambiance/gtk-2.0/apps/gnome-panel.rc'
  --- Ambiance/gtk-2.0/apps/gnome-panel.rc 2010-11-04 04:04:29 +0000
  +++ Ambiance/gtk-2.0/apps/gnome-panel.rc 2011-04-09 16:44:43 +0000
  @@ -7,14 +7,22 @@
    xthickness = 0
    ythickness = 0

  - bg_pixmap[NORMAL] = "img/panel.png"
  + bg_pixmap[NORMAL] = "img/panel-dark.png"
    bg[NORMAL] = "#4b4a46"

  - engine "murrine" {
  - #contrast = 1.0
  - textstyle = 2
  - text_shade = 0.35
  - }
  +# engine "pixmap" {
  +# #contrast = 1.0
  +# # textstyle = 2
  +# # text_shade = 0.35
  +# image
  +# {
  +# function = FOCUS
  +# recolorable = TRUE
  +# file = "img/none.png"
  +# border = { 0, 0, 0, 0}
  +# stretch = TRUE
  +# }
  +# }
   }

   style "panel_task_button" = "dark"

which, if the commented out section is removed, reduces to just the change of the image from 'panel.png' (currently 1x24 pixels) to the newly supplied 'panel-dark.png' (1x1200 pixels, but seemingly all transparent?). Surely there's a better way than just making the existing image bigger?

Paul Sladen (sladen) wrote :

Cimi: does Murrine have an equivalent of Pixmap { stretch = TRUE } ?

@Paul:

The height is not important. Important is the transparent gradient. I know that just replacing the image isn't enough, there are some sideeffects that have to be solved. I'm working on this.

If you want, have a look at this german forum page:

http://forum.ubuntuusers.de/topic/ambiance-radiance-themes-entwanzen/

Even if you can't read german, have a look at the latest downloadable Version there, the changes are better. Maybe thats more helpful.

I think the solution that is provided by Orta is a really good one. The only thing I'm not shure about is if I'm good enough to produce a patch from it. I'm really motivated to try it, but maybe someone with better skills in theming should have a look here.

Andrea Cimitan (cimi) wrote :

afaics there's no way to fix this bug while keeping exactly the same visuals... prove me if I'm wrong. and you're also removing the rendering of the layour done by the murrine engine.
murrine also doesn't process the pixmap, this is done by gtk+

Paul Sladen (sladen) wrote :

Cimi: I've tried both methods; the result is quite close (I need to tweak the gradient for Ambiance), but it does appear to cure it (just in a strange way). It is reliant on the solid colour background being discoloured by the transparent overlay. Equally well I could just enlarge the 24-pixel high gradient to be much, much bigger.

Andrea Cimitan (cimi) wrote :

and the shadow of the text?

I'm sorry, I was thinking way too complicated the whole time. Forget the stuff above, the only thing is needed to get proper panels (and applet menues) is to replace the original panel.png with the attached version.

Nothing more is needed.

tags: added: patch
Paul Sladen (sladen) wrote :

nb. any fix for this needs to take account/be parallel to bug #748676 ("UIFe: Unity Dash button does not give adequate feedback").

Changed in light-themes (Ubuntu):
milestone: ubuntu-11.04 → natty-updates
Changed in light-themes (Ubuntu Oneiric):
milestone: natty-updates → none
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)

I'm not using Unity. And I'm not shure about the Question in what way those two Bugs are related. And: #748676 is fixed.

Changed in light-themes:
status: Incomplete → Invalid
status: Invalid → Incomplete
Adolfo Jayme (fitoschido) wrote :

light-themes (gtk+3) does not rely anymore in an image to theme the panel's background. It uses CSS gradients now, so it should scale.

Changed in light-themes:
status: Incomplete → Fix Released
Andrea Cimitan (cimi) wrote :

Fixed in 12.04 and not fixing in oneiric

Changed in light-themes (Ubuntu):
status: Triaged → Opinion
Changed in light-themes (Ubuntu Oneiric):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.